<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package quarty
 */

?>

<?php

$footer_layout = get_field( 'footer_layout', 'option' );

?>

            <?php 
            if ( $footer_layout && !\Elementor\Plugin::$instance->preview->is_preview_mode() ) :
              get_template_part( 'template-elements/footer', 'builder' );
            endif; ?>
			    </div>
          <div id="fixed" class="qrt-right">
            <?php get_template_part( 'template-parts/right-bar' ); ?>
          </div>
        </div>
      </div>
    </div>
  </div>
	
<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>